<?php
/********************************************************************
** Knjižnica, kjer so zbrane preproste funkcije za izpis templatov **
** Author: Dave @ zabec.net	 												 **
** Date: 2007 						 												 **
********************************************************************/

/* funkcija skrbi za dodajanje nove css datoteke */
/*************************************************/
	function dodajCss($link)
	{
		/* preverimo če datoteka obstaja */
		if(file_exists($link))
		{
			global $tpl;
			$tpl->newBlock("dodatni_css");
			$tpl->assign("css_link",$link);
		}
	}

/* funkcija skrbi za dodajanje nove javascript datoteke */
/********************************************************/
	function dodajJS($link)
	{
		/* preverimo če datoteka obstaja */
		if(file_exists($link))
		{
			global $tpl;
			$tpl->newBlock("dodatni_js");
			$tpl->assign("js_link",$link);
		}
	}

/* funkcija skrbi za dodajanje povezave osnutka (in št. osnutkov) v levi menu */
/******************************************************************************/
	function steviloOsnutkov($tabela)
	{
		global $db;
		/* število osnutkov */
		$result = $db->query("SELECT COUNT(id) AS stevilo_osnutkov FROM $tabela WHERE osnutek = 1");
		$r = $result->fetch();
		return $r['stevilo_osnutkov'];

	}

/* funkcija, ki generira naslov v editorju in detailnem pogledu */
	function generate_naslov($modul)
	{
		global $db;
		global $tpl;

		$result = $db->query("SELECT modul, topmenu FROM core_modules AS p LEFT JOIN core_topmenu AS d ON id_topmenu = d.id WHERE modul_link = '$modul'");
		$r = $result->fetch();
		$tpl->gotoBlock("_ROOT");
		$tpl->assign("modul",$r['modul']);
		$tpl->assign("topmenu",$r['topmenu']);
	}

/* clear lang variable */
function clearLang($field)
{
	if(strpos($field,"."))
	{
		return substr(strrchr($field,"."), 1);
	}
	else
	{
		return $field;
	}
}


?>